<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.manillaCaloria.home.createOrEditLabel"
          data-cy="CaloriaCreateUpdateHeading"
          v-text="$t('gatewayApp.manillaCaloria.home.createOrEditLabel')"
        >
          Create or edit a Caloria
        </h2>
        <div>
          <div class="form-group" v-if="caloria.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="caloria.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaCaloria.caloriasActivas')" for="caloria-caloriasActivas"
              >Calorias Activas</label
            >
            <input
              type="number"
              class="form-control"
              name="caloriasActivas"
              id="caloria-caloriasActivas"
              data-cy="caloriasActivas"
              :class="{ valid: !$v.caloria.caloriasActivas.$invalid, invalid: $v.caloria.caloriasActivas.$invalid }"
              v-model.number="$v.caloria.caloriasActivas.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaCaloria.descripcion')" for="caloria-descripcion"
              >Descripcion</label
            >
            <input
              type="text"
              class="form-control"
              name="descripcion"
              id="caloria-descripcion"
              data-cy="descripcion"
              :class="{ valid: !$v.caloria.descripcion.$invalid, invalid: $v.caloria.descripcion.$invalid }"
              v-model="$v.caloria.descripcion.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaCaloria.fechaRegistro')" for="caloria-fechaRegistro"
              >Fecha Registro</label
            >
            <div class="d-flex">
              <input
                id="caloria-fechaRegistro"
                data-cy="fechaRegistro"
                type="datetime-local"
                class="form-control"
                name="fechaRegistro"
                :class="{ valid: !$v.caloria.fechaRegistro.$invalid, invalid: $v.caloria.fechaRegistro.$invalid }"
                :value="convertDateTimeFromServer($v.caloria.fechaRegistro.$model)"
                @change="updateInstantField('fechaRegistro', $event)"
              />
            </div>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaCaloria.user')" for="caloria-user">User</label>
            <select class="form-control" id="caloria-user" data-cy="user" name="user" v-model="caloria.user">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="caloria.user && userOption.id === caloria.user.id ? caloria.user : userOption"
                v-for="userOption in users"
                :key="userOption.id"
              >
                {{ userOption.login }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.caloria.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./caloria-update.component.ts"></script>
